# $Revision: 1.10 $, $Date: 2004/08/18 19:06:25 $
Summary:	CDL3 System - compiler
Summary(pl):	Kompilator systemu CDL3
Name:		cdl3
Version:	1.2.3
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.cs.kun.nl/pub/cdl3/%{name}-%{version}.tar.gz
# Source0-md5:	60b7a5fed2ac27f4dfe90ff9ae292bce
Patch0:		%{name}-acam.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDL3 is an implementation language based on affix grammars. It rides
the borderline between syntactic formalism and programming language,
and tries to combine the good properties of both. The control
structure and data structures have been choosen such that it is
extremely easy to write deterministic parsers and transducers in CDL3.
In this sense, CDL3 is a Compiler Description Language (hence the
acronym). Its applicability is, however, not limited to compiler
construction. The language is wellsuited, more in general, for all
applications that can be characterized as syntax-directed:
communication between processes (human and machine) adhering to
well-established protocols, or interpreter-like systems, interactively
obeying a set of commands.

%description -l pl
CDL3 to jzyk implementacyjny oparty na gramatykach affiksowych.
Przekracza granic pomidzy formalizmem skadniowym a jzykiem
programowania i prbuje poczy dobre cechy obu rzeczy. Struktura
sterujca i struktury danych zostay tak dobrane, aby byo bardzo
atwo pisa w CDL3 deterministyczne analizatory i translatory. W tym
sensie CDL3 jest jzykiem opisu kompilatorw (Compiler Description
Language - std akronim). Jego zastosowanie nie jest jednak
ograniczone do konstruowania kompilatorw. Jzyk jest dobrze
dopasowany, bardziej oglnie, do wszystkich zastosowa, ktre mona
scharakteryzowa jako zorientowane na skadni: komunikacji midzy
procesami (czowiekiem i maszyn) zgodnie z dobrze ustalonymi
protokoami lub systemy w stylu interpreterw, interaktywnie reagujce
na zestaw polece.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO docs/*.ps docs/*.k3
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_mandir}/man[13n]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdl3.spec,v $
Revision 1.10  2004/08/18 19:06:25  averne
- rel 1

Revision 1.9  2004/08/18 19:03:58  averne
- refresh config.sub

Revision 1.8  2003/11/25 20:49:43  qboosh
- fixed acam patch, cleanups

Revision 1.7  2003/11/25 16:40:14  undefine
- add some files...

Revision 1.6  2003/08/06 16:42:27  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.4  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:46:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/21 13:23:45  qboosh
- some real descriptions

Revision 1.1  2002/11/06 23:04:59  undefine
- initial pld version
